> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Flags an artifact to enable or disable

> An endpoint to enable or disable an artifact



## OpenAPI

````yaml /openapi/public-api-endpoint-reference.yaml patch /v1/projects/{projectId}/artifacts
openapi: 3.1.0
info:
  title: Maia Public REST API
  version: '1.0'
servers:
  - description: EU1
    url: https://eu1.api.matillion.com/dpc
  - description: US1
    url: https://us1.api.matillion.com/dpc
security:
  - bearerAuth: []
tags:
  - description: Manage Schedules
    name: Schedules
  - description: Manage Connections
    name: Connections
  - description: Operations for managing Project Variables
    name: Project Variables
  - description: Manage Pipelines
    name: Pipelines
  - description: Review pipelines against quality rules
    name: Pipeline Quality Review
  - description: Execute tests within a project
    name: Test Execution
  - description: Manage your AI agent tasks
    name: AI Agent Tasks
  - description: SCIM endpoints for user/group permission management
    name: Directory Integration
  - description: Publish shared pipeline artifacts
    name: Shared Pipeline Artifacts
  - description: Manage Repositories
    name: Repositories
  - description: Report on Credit Consumption
    name: Consumption
  - description: Manage Artifacts
    name: Artifacts
  - description: Operations for data lineage and governance
    name: Data Lineage
  - description: Manage Streaming Pipelines
    name: Streaming Pipelines
  - description: Execute a pipeline
    name: Pipeline Execution
  - description: ''
    name: Environments
  - description: ''
    name: Projects
  - description: Manage Agents
    name: Agents
  - description: Operations for managing Environment-level Overrides of Project Variables
    name: Project Variable Environment Overrides
  - description: Query audit events
    name: Audit Events
  - description: Connector Profiles
    name: Connectors
paths:
  /v1/projects/{projectId}/artifacts:
    patch:
      tags:
        - Artifacts
      summary: Flags an artifact to enable or disable
      description: An endpoint to enable or disable an artifact
      operationId: disableArtifact
      parameters:
        - in: path
          name: projectId
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            examples:
              Artifact disable/enable patch request:
                description: Artifact disable/enable patch request
                value:
                  environmentName: Dev
                  versionName: 1.2.0
                  enabled: false
            schema:
              $ref: '#/components/schemas/ArtifactEnabledRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ArtifactEnabledResponse'
          description: Artifact enabled/disabled successfully
        '400':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Wrong request parameters used
        '403':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Unauthorized
        '404':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Artifact version name not found to enable/disable
        '500':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Unexpected error occurred
components:
  schemas:
    ArtifactEnabledRequest:
      type: object
      properties:
        enabled:
          type: boolean
          description: The flag to enable or disable the artifact
        environmentName:
          type: string
          description: The environment name of the artifact to enable or disable
          minLength: 1
        versionName:
          type: string
          description: The version of the artifact to enable or disable
          minLength: 1
      required:
        - environmentName
        - versionName
    ArtifactEnabledResponse:
      type: object
      properties:
        enabled:
          type: boolean
          description: The flag to enable or disable the artifact
        versionName:
          type: string
          description: The version of the artifact
          minLength: 1
      required:
        - enabled
        - versionName
    ProblemDetail:
      type: object
      properties:
        detail:
          type: string
        instance:
          type: string
        status:
          type: integer
          format: int32
        title:
          type: string
        type:
          type: string
          format: uri
        violations:
          type: array
          items:
            type: string
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: a valid bearer token
      scheme: bearer
      type: http

````